// XEventToString.cpp - use EventToString for fltk::events

#include "XEventToString.h"


const char* XEventToString(int ev)
{
  switch(ev)
  {
  case 2: return "KeyPress";
  case 3: return "KeyRelease";
  case 4: return "ButtonPress";
  case 5: return "ButtonRelease";
  case 6: return "MotionNotify";
  case 7: return "EnterNotify";
  case 8: return "LeaveNotify";
  case 9: return "FocusIn";
  case 10: return "FocusOut";
  case 11: return "KeymapNotify";
  case 12: return "Expose ";
  case 13: return "GraphicsExpose";
  case 14: return "NoExpose";
  case 15: return "VisibilityNotify";
  case 16: return "CreateNotify";
  case 17: return "DestroyNotify";
  case 18: return "UnmapNotify";
  case 19: return "MapNotify";
  case 20: return "MapRequest";
  case 21: return "ReparentNotify";
  case 22: return "ConfigureNotify";
  case 23: return "ConfigureRequest";
  case 24: return "GravityNotify";
  case 25: return "ResizeRequest";
  case 26: return "CirculateNotify";
  case 27: return "CirculateRequest";
  case 28: return "PropertyNotify";
  case 29: return "SelectionClear";
  case 30: return "SelectionRequest";
  case 31: return "SelectionNotify";
  case 32: return "ColormapNotify";
  case 33: return "ClientMessage";
  case 34: return "MappingNotify";
  case 35 : return "LASTEvent";
  default:
    return "X Event Unknown";
  }
} 
