// XEventToString.h

#ifndef XEventToString_h
#define XEventToString_h

// see also "event handling" in <fltk/x11.h> and <fltk/x11/run_.cxx>

/*
  from x11.h:
  // feed events into fltk by setting xevent and calling x_handle:
  extern FL_API XEvent  xevent;
  // changed name from "handle()" so we can find it.
  extern FL_API bool  x_handle(); 
  // function type for x_handler_hook
  typedef bool x_handler_func(void* fltkWindow);   
  // low level & diags can link into this hook to view, modify, 
  // or preempt events
  extern FL_API x_handler_func* x_handler_hook; 
  // normal operation, set as default, cast fltkWindow to fltk::Window*
  // workaround for X
  extern FL_API bool default_x_handler(void* fltkWindow); 
  // set by last xevent with a timestamp:
  extern FL_API ulong event_time;  
*/

// typical usage: EventToString(fltk::xevent.type));
const char* XEventToString(int ev);

#endif // XEventToString_h
